function Table2Chart(opt) {
///
    var chart;
	var colors=(opt['color']) ? (opt['color'].split(",")) : ['#cccccc'];
    jQuery(document).ready(function() {
        chart = new Highcharts.Chart({
            chart: {
                renderTo: (opt['id']) ? opt['id'] : 'HC-container',
				type: (opt['type']) ? opt['type'] : 'line',
				backgroundColor: (opt['background']) ? opt['background'] : '#FFFFFF',
            },
            xAxis: {
              title: {text: (opt['titleX']) ? opt['titleX'] : ''},
            },
			yAxis: {
			title: {text: (opt['titleY']) ? opt['titleY'] : ''},
			}
		});
				var table=opt['table'];
				var namecol = (opt['namecol']) ? parseInt(opt['namecol'])-1 : 0;
				var namerow = (opt['namerow']) ? parseInt(opt['namerow'])-1 : 0;
				var xLabels=[];
				var sNames=[];
				var dataValues=[];
				var ns=(opt['order']=='column') ? table.rows[0].cells.length-namecol-1 : table.rows.length-namerow-1;
				for (var i=0;i<ns;i++) {
					dataValues[i]=[];
				}
				
				for (var i=0,row;row=table.rows[i];i++) {
					for (var j=0,col;col=row.cells[j];j++) {
						if (opt['order']=='column') {
							if (i==namerow && j>namecol) sNames.push(col.textContent);
							else {
								if (j==namecol && i>namerow) xLabels.push(col.textContent)
								else if (j>namecol && i>namerow) dataValues[j-namecol-1].push(parseFloat((opt['convert']) ? col.textContent.replace(" ","").replace(".","").replace(",",".") : col.textContent));
							}
						
						}
						else {
							if (i==namerow && j>namecol) xLabels.push(col.textContent);
							else {
								if (j==namecol && i>namerow) sNames.push(col.textContent);
								else if (j>namecol && i>namerow) dataValues[i-namerow-1].push(parseFloat((opt['convert']) ? col.textContent.replace(" ","").replace(".","").replace(",",".") : col.textContent));
							}

						}
					}
				}
				
				chart.setTitle({ text: (opt['title']) ? opt['title'] : ''},{text: (opt['subtitle']) ? opt['subtitle'] : ''});
				chart.xAxis[0].setCategories(xLabels);
				for (var i=0;i<ns;i++) {
					chart.addSeries({data:dataValues[i],name: sNames[i],color:colors[i%colors.length]});
				}		
    });
};

